Gentili clienti,

stiamo verificando problematiche con l'utilizzo di Woocommerce versione 9.0.0. ( ultima ad ora 20/06/24 ), con problema per il supporto allle API legacy dello stesso.
Se verificate un php fatal error ( errore http 500 segnalato da frontend ) da error_log_php, del vostro account hosting, potreste notare log di errore quale ad esempio il seguente:

PHP Fatal error: Uncaught Error: Class 'WC_Legacy_API' not found in .../wp-content/plugins/woocommerce/includes/class-wc-api.php:19

In questo caso ci sono due strade percorribili:

  1. Un rollback della versione di Woocommerce dalla sua 9.0.0 attuale alla 8.9.3 precedente, per eseguire tale operaizione ci sono due metodi:

    • Disattivare il plugin wocoomerce, rinominando la directory dello stesso in /wp-content/plugins/woocommerce
    • scaricare versione antecedente quale la 8.9.3 di woocommerce da repository andando qui https://it.wordpress.org/plugins/woocommerce/advanced/ e scegliendo da versione di
      sviluppo la 8.9.3
    • uploadare e decomprimire il file avendo directory woocommerce appunto di tale versione in /wp-content/plugins/
    • riaccedendo al backend di wordpress eseguire le operazioni di aggiornamento database che dovrebbe darle il sistema
    • cancellare la precedente directory ( ridenominata ) del plugin woocommerce
  2. Farci eseguire un nuovo restore, aprendoci ticket di supporto dalla vostra area cliente, per ripristino del contenuto della /public_html  ( o directory principale dell'installazione di WordPress + Woocommerce ) e database associato, da backup in cui c'era precedente versione e non ultima 9.0.0. del plugin.

Di seguito topic aperto su pagina supporto di woocomerce


https://wordpress.org/support/topic/fatal-error-uncaught-error-class-wc_legacy_api/

 

Informazione sulla situazione problematica con versione 9.0.0 di Woocommerce

 

https://developer.woocommerce.com/2024/06/19/developer-advisory-legacy-rest-api-error-in-woocommerce-9-0

 

UPDATE

 

È stata rilasciata alle 21.30 circa del 20/06 nuova versione di Woocommerce quale 9.0.1 di seguito informativa ufficiale

 

https://developer.woocommerce.com/2024/06/20/woocommerce-9-0-1-dot-release/



Giovedì, Giugno 20, 2024







« Indietro